View Issue Details

IDProjectCategoryView StatusLast Update
0016969LazarusIDEpublic2010-11-03 00:44
ReporterMarcelo B PaulaAssigned ToJesus Reyes 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.29 (SVN)Product Build 
Target Version1.0.0Fixed in Version0.9.29 (SVN) 
Summary0016969: NewField property editor needs a review and improvements.
DescriptionRecently this form received some updates, to permit creation of Data field types. But it seems to be unfinished. Just as an example, the edittext Size, enabled only when field is of type string, are simply not referenced anywhere in code. At least, it has o pass its value to the size parameter of the new field being created.
TagsNo tags attached.
Fixed in Revision28042
LazTarget1.0
WidgetsetWin32/Win64
Attached Files

Relationships

parent of 0017768 closedJesus Reyes Patches IDE NewField Editor improvements 

Activities

samuel herzog

2010-07-20 03:02

developer   ~0039471

Yes, NewField.Size does not get the value of EditSize.Text.
Would this only be neccessary for fields of type "string" or are there any other field-types that use/need the Size-Property ?

Marcelo B Paula

2010-07-21 00:48

reporter   ~0039501

With Delphi, the following data types enable the Size field:

String
BCD
FMTBCD
VarBytes
Bytes
Blob
Memo
Graphic
ADT
Array
DataSet
Reference
WideString
Variant
Interface
IDispatch
IBString
IBBCD

Of course that there are some types in Delphi that Lazarus does not have and vice-versa. Someone have to match these with Lazarus and of course look at the other types that need this information.

Marcelo B Paula

2010-11-03 00:44

reporter   ~0042681

Ok, Thank you.

Issue History

Date Modified Username Field Change
2010-07-17 18:24 Marcelo B Paula New Issue
2010-07-17 18:24 Marcelo B Paula Widgetset => Win32/Win64
2010-07-20 03:02 samuel herzog LazTarget => 1.0
2010-07-20 03:02 samuel herzog Note Added: 0039471
2010-07-20 03:02 samuel herzog Status new => confirmed
2010-07-20 03:02 samuel herzog Target Version => 1.0.0
2010-07-21 00:48 Marcelo B Paula Note Added: 0039501
2010-10-31 09:03 Vincent Snijders Relationship added parent of 0017768
2010-11-02 21:15 Jesus Reyes Fixed in Revision => 28042
2010-11-02 21:15 Jesus Reyes Status confirmed => resolved
2010-11-02 21:15 Jesus Reyes Fixed in Version => 0.9.29 (SVN)
2010-11-02 21:15 Jesus Reyes Resolution open => fixed
2010-11-02 21:15 Jesus Reyes Assigned To => Jesus Reyes
2010-11-03 00:44 Marcelo B Paula Status resolved => closed
2010-11-03 00:44 Marcelo B Paula Note Added: 0042681